A class that provides constant values for the states of the Button class.

### Hierarchy

- ButtonState

## Index

### Properties

- DISABLED
- DOWN
- OVER
- UP

## Properties

### Static DISABLED

DISABLED: string

- Defined in lib/starling/display/ButtonState.d.ts:16

The button was disabled altogether.

### Static DOWN

DOWN: string

- Defined in lib/starling/display/ButtonState.d.ts:10

The button is pressed.

### Static OVER

OVER: string

- Defined in lib/starling/display/ButtonState.d.ts:13

The mouse hovers over the button.

### Static UP

UP: string

- Defined in lib/starling/display/ButtonState.d.ts:7

The button's default state.

Generated using TypeDoc